# Recording Data

The GIZO SDK can automatically detect trips and start recording them if `autoStart` has been enabled in the GIZO SDK options described in the [Intiallization](/usage/android/initialization.md) section. However, if you intend to allow the user to manually record a trip, the method below can be used to achieve this:

```kotlin
import de.artificient.gizo.sdk.Gizo
import de.artificient.gizo.sdk.GizoAnalysis
import de.artificient.gizo.sdk.config.GizoNoCameraSetting
import de.artificient.gizo.sdk.setting.GizoStopRecordingSetting
```

```kotlin
private val gizoAnalysis: GizoAnalysis = Gizo.app.gizoAnalysis
```

```kotlin
val setting = GizoStopRecordingSetting.Builder()
    .stopRecordingOnLowBatteryLevel(10)
    .build()

val noCameraSetting = GizoNoCameraSetting(stopRecordingSetting = setting)

gizoAnalysis.start(noCameraSetting)
```

#### Setting Methods

**stopRecordingOnLowBatteryLevel:** the input to this method is an integer indicating the battery level (in percentage) below which the recording of the trip must be terminated. For more information, see the [Power Saving Process Overview](/appendix/power-saving-process-overview.md) page.

GIZO SDK can automatically determine the end of a trip and terminate the recording if `autoStop` has been enabled in the GIZO SDK options described in the [Intiallization](/usage/android/initialization.md) section. However, if you want to allow the user stop a trip manually or alternatively programmatically under certain conditions, the following method can be used:

```jsx
GizoSdk.stopRecording();
```

<mark style="color:red;">**NOTE:**</mark><mark style="color:red;">**&#x20;**</mark><mark style="color:red;">**`autoStart`**</mark><mark style="color:red;">**&#x20;**</mark><mark style="color:red;">**and**</mark><mark style="color:red;">**&#x20;**</mark><mark style="color:red;">**`autoStop`**</mark><mark style="color:red;">**&#x20;**</mark><mark style="color:red;">**function independently. Therefore, even recordings that are initiated manually can be stopped automatically if the**</mark><mark style="color:red;">**&#x20;**</mark><mark style="color:red;">**`autoStop`**</mark><mark style="color:red;">**&#x20;**</mark><mark style="color:red;">**is enabled.**</mark>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.artificient.de/usage/android/recording-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
